Package com.emc.d2fs.interfaces

# Interface IDestroyService

All Superinterfaces:
  `ID2fsService`

public interface IDestroyService extends ID2fsService
Document deletion services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Destroyresult`
  `destroy(Context context, String id, List<Attribute> attributes)`
  Destroy document from docbase
  `Destroyresult`
  `destroyAll(Context context, List<String> ids, List<Attribute> attributes)`
  Destroy multiple documents from docbase
  `boolean`
  `isDialogRequired(Context context, String id)`
  Check if dialog is required for display before deletion

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### destroy

    Destroyresult destroy(Context context, String id, List<Attribute> attributes) throws Exception
    Destroy document from docbase
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `attributes` - `Attribute` List of attributes.
      - version: DF_INTEGER - Identify version to delete. Version number, IDfDeleteOperation {0==SELECTED_VERSIONS, 2==ALL_VERSIONS}, {3==UNLINK_SYSOBJECT} OR {4==FORDERS_ONLY, 5==DEEP_FOLDERS}
      - virtualDescendants: DF_BOOLEAN - Control deep virtual document deletion.
      - parentId: DF_STRING -Id of parent to unlink
    Returns:
      empty string if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### destroyAll

    Destroyresult destroyAll(Context context, List<String> ids, List<Attribute> attributes) throws Exception
    Destroy multiple documents from docbase
    Parameters:
      `context` - `Context` object containing informations about client/session
      `ids` - String list of document ids
      `attributes` - attributes `Attribute` list of parameters
      See `destroy(com.emc.d2fs.models.context.Context, java.lang.String, java.util.List<com.emc.d2fs.models.attribute.Attribute>)` for attribute definitions
    Returns:
      empty string if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### isDialogRequired

    boolean isDialogRequired(Context context, String id) throws Exception
    Check if dialog is required for display before deletion
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      true if dialog is required
    Throws:
      `Exception`
    Since:
      4.0.1